body{
  margin:0;
  font-family:system-ui;
  background:#020617;
  color:#e2e8f0;
  display:flex;
  height:100vh;
}

.center{
  display:flex;
  flex-direction:column;
  gap:10px;
  justify-content:center;
  align-items:center;
  width:100%;
}

.sidebar{
  width:220px;
  background:#0f172a;
  padding:15px;
}

.menu div{
  padding:10px;
  border-radius:8px;
  cursor:pointer;
}
.menu div:hover{background:#1e293b}

.main{flex:1;display:flex;flex-direction:column}

.header{
  display:flex;
  gap:10px;
  padding:10px;
  background:#0f172a;
}

.header input{
  flex:1;
  padding:8px;
  border:none;
  border-radius:8px;
  background:#1e293b;
  color:#fff;
}

.header button{
  padding:8px;
  background:#22c55e;
  border:none;
  border-radius:8px;
}

.list{flex:1;padding:10px;overflow:auto}

.item{
  background:#1e293b;
  padding:10px;
  margin-bottom:10px;
  border-radius:10px;
}

.btn{
  background:#334155;
  border:none;
  color:#fff;
  padding:5px;
  margin:2px;
  border-radius:6px;
  cursor:pointer;
}

.modal{
  position:fixed;
  top:0;left:0;
  width:100%;height:100%;
  background:#0008;
  display:none;
  align-items:center;
  justify-content:center;
}

.modal-content{
  background:#0f172a;
  padding:20px;
  border-radius:12px;
  width:300px;
}

.modal-content input,select{
  width:100%;
  margin:5px 0;
  padding:8px;
  background:#1e293b;
  border:none;
  color:#fff;
}


#login {
  width: 100%;
  height: 100vh;
  background: radial-gradient(circle at top, #0f172a, #020617);
}

.login-box {
  background: rgba(15, 23, 42, 0.8);
  padding: 30px;
  border-radius: 16px;
  box-shadow: 0 0 40px #000;
  backdrop-filter: blur(10px);
  width: 300px;
  text-align: center;
}

.login-box h2 {
  margin-bottom: 20px;
}

.login-box input {
  width: 100%;
  padding: 10px;
  border-radius: 10px;
  border: none;
  background: #1e293b;
  color: #fff;
  margin-bottom: 10px;
}

.login-box button {
  width: 100%;
  padding: 10px;
  border: none;
  border-radius: 10px;
  margin-top: 5px;
  cursor: pointer;
}

.btn-google {
  background: #ef4444;
}

.btn-unlock {
  background: #22c55e;
}

#toast {
  position: fixed;
  bottom: 20px;
  right: 20px;
  background: #22c55e;
  padding: 10px 15px;
  border-radius: 8px;
  display: none;
}